#ifndef AHBUARTPYWRAPPER_H
#define AHBUARTPYWRAPPER_H
#include <socexplorerplugin.h>
#include <genericPySysdriver.h>
#include <QString>
#include <qobject.h>

class ahbuartPywrapper : public genericPySysdriver
{
    Q_OBJECT
public:
    explicit ahbuartPywrapper(socexplorerplugin *parent = 0);
    
signals:
    bool open(QString PortName,int baudrate);
    void close();
    QVariantList ReadBytes(unsigned int address,unsigned int count);
    void WriteBytes(unsigned int address,QList<QVariant> dataList);
public slots:
//    bool dumpMemory(unsigned int address,unsigned int count,QString file);
//    bool memSet(unsigned int address,int value, unsigned int count);
//    bool loadbin(unsigned int address,QString file);
};

#endif // AHBUARTPYWRAPPER_H
